<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

    <title>Installation &#8212; pydecha 0.3+13.g1a2fafa.dirty documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=b3523f8e" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=cb25574f" />
    <script src="../_static/documentation_options.js?v=2fb7d489"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="Getting started" href="first_steps.html" />
    <link rel="prev" title="PYDECHA" href="pydecha.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="installation">
<h1>Installation<a class="headerlink" href="#installation" title="Link to this heading">¶</a></h1>
<section id="cloning-from-gitlab">
<h2>Cloning from gitlab<a class="headerlink" href="#cloning-from-gitlab" title="Link to this heading">¶</a></h2>
<section id="using-http">
<h3>Using http<a class="headerlink" href="#using-http" title="Link to this heading">¶</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>git<span class="w"> </span>clone<span class="w"> </span>https://gitlab.com/benoit.serra/pydecha.git<span class="w"> </span>pydecha
</pre></div>
</div>
</section>
<section id="using-ssh">
<h3>Using ssh<a class="headerlink" href="#using-ssh" title="Link to this heading">¶</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>git<span class="w"> </span>clone<span class="w"> </span>git@gitlab.com:benoit.serra/pydecha.git
</pre></div>
</div>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>Cloning through ssh will not work because no key was generated yet</p>
</div>
</section>
</section>
<section id="python-requirements">
<h2>Python requirements<a class="headerlink" href="#python-requirements" title="Link to this heading">¶</a></h2>
<section id="using-pip">
<h3>Using pip<a class="headerlink" href="#using-pip" title="Link to this heading">¶</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>pip<span class="w"> </span>install<span class="w"> </span>-r<span class="w"> </span>pydecha_pipfreeze.txt
</pre></div>
</div>
</section>
<section id="using-conda">
<h3>Using conda<a class="headerlink" href="#using-conda" title="Link to this heading">¶</a></h3>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>conda<span class="w"> </span>create<span class="w"> </span>-n<span class="w"> </span>pydecha<span class="w"> </span>--file<span class="w"> </span>pydecha_condaexport.txt
<span class="c1"># waiting for installation</span>
conda<span class="w"> </span>activate<span class="w"> </span>pydecha
</pre></div>
</div>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">pydecha</a></h1>








<h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Introduction</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="pydecha.html">PYDECHA</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Installation</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#cloning-from-gitlab">Cloning from gitlab</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#using-http">Using http</a></li>
<li class="toctree-l3"><a class="reference internal" href="#using-ssh">Using ssh</a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="#python-requirements">Python requirements</a><ul>
<li class="toctree-l3"><a class="reference internal" href="#using-pip">Using pip</a></li>
<li class="toctree-l3"><a class="reference internal" href="#using-conda">Using conda</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="first_steps.html">Getting started</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Characterization modules</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../modules/new_module.html">Tutorial for new module</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_ccd.html">Modules CCD</a></li>
<li class="toctree-l1"><a class="reference internal" href="../modules/modules_cmos.html">Modules CMOS</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">About</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../about/acronyms.html">Acronyms</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/changelog.html">Change log</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/faq.html">FAQ</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../about/references.html">References</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="pydecha.html" title="previous chapter">PYDECHA</a></li>
      <li>Next: <a href="first_steps.html" title="next chapter">Getting started</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2019, European Southern Observatory.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.12</a>
      
      |
      <a href="../_sources/introduction/installation.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>